Skill improvement
List a skill's change history
Every fix, added field, and re-learn of a skill, by anyone who can edit it and from any channel, plus past Refine and Re-learn changes. Newest first.
GET
/
v1
/
skills
/
{slug}
/
improvements
List a Skill's change history
curl --request GET \
--url https://api.valendata.com/v1/skills/{slug}/improvements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valendata.com/v1/skills/{slug}/improvements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valendata.com/v1/skills/{slug}/improvements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"improvements": [
{
"improvement_id": "imp_3f9a1c2b7d4e5f60",
"status": "queued",
"status_url": "/v1/skill-improvements/imp_3f9a1c2b7d4e5f60",
"skill_id": "<string>",
"slug": "<string>",
"mode": "fix",
"source": "api",
"started_by_name": "<string>",
"feedback": "<string>",
"strategy": "fields",
"target_fields": [
"<string>"
],
"diagnosis": {
"rows": 123,
"missing_fields": [
"<string>"
],
"per_field": {},
"triage_kind": "missing_fields",
"what_we_tried": [
"<string>"
],
"suggested_hint_examples": [
"<string>"
],
"error": "<string>",
"summary": "phone: found on 0/5 rows — tried the result cards"
},
"diagnosis_after": {
"rows": 123,
"missing_fields": [
"<string>"
],
"per_field": {},
"triage_kind": "missing_fields",
"what_we_tried": [
"<string>"
],
"suggested_hint_examples": [
"<string>"
],
"error": "<string>",
"summary": "phone: found on 0/5 rows — tried the result cards"
},
"fields_before": {},
"fields_after": {},
"changes": [
{
"field": "<string>",
"before": "0/5",
"after": "5/5",
"improved": true
}
],
"improved": true,
"result": "running",
"imported": true,
"details": {
"new_fields": [
"<string>"
],
"merged": [
{
"proposed": "<string>",
"into": "<string>",
"note": "<string>"
}
],
"ambiguous": [
{
"proposed": "<string>",
"candidates": [
"<string>"
],
"question": "<string>"
}
],
"diff_summary": "<string>",
"engine_note": "<string>"
},
"recipe_version_before": 123,
"recipe_version": 123,
"candidate_version": 123,
"outcome": "<string>",
"error": "<string>",
"credits_charged": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"idempotent_replay": true
}
]
}{
"detail": "Invalid or expired API key"
}{
"detail": "Invalid or expired API key"
}{
"detail": "Invalid or expired API key"
}Authorizations
API key with the vd_sk_ prefix. Create keys from Settings, API Keys in the dashboard.
Path Parameters
Query Parameters
How many to return, 1–50.
Required range:
1 <= x <= 50Response
The Skill's change history, newest first.
Show child attributes
Show child attributes
⌘I
List a Skill's change history

